Knowledge Base
cancel
Showing results for 
Search instead for 
Did you mean: 

Is the new PSI / XPSI rev 4.1 compatible with Windows XP and Vista?

Issue

Is the new PSI / XPSI rev 4.1 compatible with Windows XP and Vista?

Environment

  • PSI / XPSI rev 4.1
  • Windows XP and Vista

Cause

Install PSI / XPSI rev 4.1 in a Windows XP or Vista Operating System (OS)

Resolution

The new PSI / XPSI rev 4.1 is compatible with Windows XP and Vista. Download PSI rev 4.1 from The Exchange. The zip file includes an installer and a READ.ME file that includes Release Notes and Installation Instructions.

Note that the Patton Electronics RS-232 / RS-485 converter that has been widely used with the earlier versions of PSI (3.13) will not work with the new PSI / XPSI rev 4.1.  The B&B Electronics model USOPTL4 USB converter has been successfully tested with PSI / XPSI rev 4.1. Other recommended converters are listed in the Release Notes.

Tags (1)
Labels (1)
Version history
Revision #:
2 of 2
Last update:
2 weeks ago
Updated by:
 
Contributors